# Interface AddressTypeGeneral

Type of an address (with payability unspecified)

#### Category

Elementary types

#### Hierarchy

- AddressTypeGeneral

- Defined in codec/lib/format/types.ts:142

#####
Index

### Properties

kind
typeClass
typeHint?

## Properties

### kind

kind: "general"

- Defined in codec/lib/format/types.ts:144

### typeClass

typeClass: "address"

- Defined in codec/lib/format/types.ts:143

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:145

Generated using TypeDoc